This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 763434 - (GLUSTER-1702) NFS client got "Stale NFS file handle" periodically
NFS client got "Stale NFS file handle" periodically
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-alpha
All Linux
low Severity high
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-24 18:00 EDT by Bernard Li
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernard Li 2010-09-24 18:00:19 EDT
Running GlusterFS nfs_beta_rc14 on CentOS 4 sharing a replicate of 5 bricks from 5 nodes.  Client is openSUSE 11.3 running kernel 2.6.34-12-desktop.

Occasionally, when running ls on a directory in the NFS mounted volume, I would get:

ls: reading directory .: Stale NFS file handle
total 0

and on the client's syslog:

Sep 24 14:05:52 vus-bli kernel: [2505162.929534] NFS: server gluster-nfs error: fileid changed
Sep 24 14:05:52 vus-bli kernel: [2505162.929537] fsid 0:14: expected fileid 0xbf4046, got 0x82280d5
Sep 24 14:05:52 vus-bli kernel: [2505163.614948] NFS: server gluster-nfs error: fileid changed
Sep 24 14:05:52 vus-bli kernel: [2505163.614952] fsid 0:14: expected fileid 0xbf4046, got 0x82280d5
Sep 24 14:05:52 vus-bli kernel: [2505163.637769] NFS: server gluster-nfs error: fileid changed
Sep 24 14:05:52 vus-bli kernel: [2505163.637773] fsid 0:14: expected fileid 0xbf4046, got 0x82280d5

on the server, the log shows:

[2010-09-24 14:05:45] E [rpcsvc.c:1230:rpcsvc_program_actor] rpc-service: RPC program not available

The glusterfsd on the replicate brick servers AFAIK have stayed up during the whole time, so this should have nothing to do with self-healing.
Comment 1 Shehjar Tikoo 2010-09-25 03:15:46 EDT
5 replicas have not been tested. I am looking into it.
Comment 2 Shehjar Tikoo 2010-09-25 04:33:40 EDT
Error is similar to the fileid changes Harsha experienced during recent tests.
Comment 3 Bernard Li 2010-09-25 10:00:04 EDT
I forgot to mention that the bricks are running GlusterFS version 3.0.5 and *not* nfs_beta_rc14, not sure if that matters...
Comment 4 Shehjar Tikoo 2010-09-26 23:19:12 EDT
(In reply to comment #3)
> I forgot to mention that the bricks are running GlusterFS version 3.0.5 and
> *not* nfs_beta_rc14, not sure if that matters...
That hasnt been tested. Please try with rc14 on all bricks and nfs servers.


What is the version of the kernel on the nfs client machine where you saw this error?
Comment 5 Shehjar Tikoo 2010-10-05 04:22:15 EDT
Bernard, please re-open if ESTALEs occur even with nfs-beta on the bricks.

Note You need to log in before you can comment on or make changes to this bug.